Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my locally built ones

From: Mark H Weaver <[email-masked]>
Date: Wed, 14 Aug 2019 14:43:07 -0400

Earlier I wrote:

[...]
> (3) The following bootstrap packages in 'core-updates' bootstrap.scm
>     should be updated to use the new binaries above:
>
>      (a) %bootstrap-linux-libre-headers
>      (b) %bootstrap-mescc-tools
>      (c) %bootstrap-mes
>
> (4) Berlin should start rebuilding 'core-updates'.
>
> If desired, steps (3) and (4) could come before (2) if someone
> temporarily uploads the new binaries somewhere else, and adjusts
> '%bootstrap-base-urls' accordingly.  The key is for the hashes and file
> names to match what we've agreed on here, as I listed in (2) above.
>
> What do you think?

I should have inserted the following item in the TODO list above:

(3.5) I think that 'bash-4.4-linux-pgrp-pipe.patch', adapted to 5.0, should be
    applied to all 'bash' packages in 'core-updates'.  To be more precise,
    the patch should be applied to the main 'bash' package in bash.scm,
    inherited from all other bash packages, so that PGRP_PIPE is set
    unconditionally set on systems based on Linux (the kernel), regardless
    of the kernel version running on the build machine.

This change would also entail a full rebuild of core-updates, so it
should ideally be done before starting the rebuild.  It's not crucial,
but it would be nice to fix this potential source of non-determinism in
the Bash builds.

      Thanks,
        Mark